﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'exe'
  url            = 'https://qemu.weilnetz.de/w32/qemu-w32-setup-20211215.exe'
  url64bit       = 'https://qemu.weilnetz.de/w64/qemu-w64-setup-20211215.exe'
  softwareName   = 'QEMU'
  checksum       = '2fef081521528dea7475692252994a9c869145df55e4b2cf8d6f9693872925facc1a225344bf581fc7814821d194e8904544704b5c6cd5340622685151f6993e'
  checksumType   = 'SHA512'
  checksum64     = 'c3f6cae192c0d4cbf1f234e8d34b1ab7d6e8ada11f97f7efdf61d2ddcbdbb63c6d0f53a575cc9c9525d67dd823f2ef27500c717d9516c3b72d3fe27f7da6e67e'
  checksumType64 = 'SHA512'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

try {
  # No need to test both 32bit and 64bit
  # if one have been moved, then other should have as well
  $headers = Get-WebHeaders -Url $packageArgs['url64bit']

  # We will just continue, as there is nothing to do when previous command succeed
} catch {
  $packageArgs['url'] = 'https://qemu.weilnetz.de/w32/2021/qemu-w32-setup-20211215.exe' # fallback32
  $packageArgs['url64bit'] = 'https://qemu.weilnetz.de/w64/2021/qemu-w64-setup-20211215.exe' # fallback64
}

Install-ChocolateyPackage @packageArgs
